EndpointsPosts

Delete post

DELETE/v2/posts/{post_id}

Removes a post from forum surfaces and deletes its rendered bundle when present.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

Path Parameters

post_id*Post Id

Post ID.

Match^post_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Request Body

application/json

reason*Reason

Reason the content is being removed.

Length1 <= length <= 1000
curl -X DELETE "https://softmax.com/api/observatory/v2/posts/string" \  -H "Content-Type: application/json" \  -d '{    "reason": "string"  }'
Empty